Bug 976758 - The start hook in the template of DIY apps still refers to OPENSHIFT_INTERNAL_IP in its comment
The start hook in the template of DIY apps still refers to OPENSHIFT_INTERNAL...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 07:37 EDT by Zhe Wang
Modified: 2015-05-14 19:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-06-21 07:37:00 EDT
Description of problem:
Given an app of DIY type, the comment of its start hook still refers to OPENSHIFT_INTERNAL_IP which is out-of-date, but the actual code invokes OPENSHIFT_DIY_IP, and this inconsistency could cause unnecessary confusion.


Version-Release number of selected component (if applicable):
INT(devenv_3395)

How reproducible:
always

Steps to Reproduce:
1. create a DIY app
2. review the content of its start hook
vim .openshift/action_hooks/start

Actual results:
The comment refers to OPENSHIFT_INTERNAL_IP:

# The logic to start up your application should be put in this
# script. The application will work only if it binds to
# $OPENSHIFT_INTERNAL_IP:8080
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^

But the actual code invokes OPENSHIFT_DIY_IP:

nohup $OPENSHIFT_REPO_DIR/diy/testrubyserver.rb $OPENSHIFT_DIY_IP
                                                ^^^^^^^^^^^^^^^^^
$OPENSHIFT_REPO_DIR/diy > $OPENSHIFT_DIY_DIR/logs/server.log 2>&1 &


Expected results:
The comment should refer to the latest env vars.

Additional info:
Comment 1 openshift-github-bot 2013-06-25 12:14:12 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/50e5cf51d46f9ed67aa08e0e906d2497bad7fe5d
Bug 976758 & 969948 - Update the name of internal IP env var to match v2 carts
https://bugzilla.redhat.com/show_bug.cgi?id=976758
https://bugzilla.redhat.com/show_bug.cgi?id=969948
Changed the OPENSHIFT_INTERNAL_IP env var in index.html and start hook to OPENSHIFT_DIY_IP
Comment 2 Zhe Wang 2013-06-25 23:51:38 EDT
Verified in devenv_3414

Steps are the same in Description, and the comments in the start hook are:

# The logic to start up your application should be put in this
# script. The application will work only if it binds to
# $OPENSHIFT_DIY_IP:8080

Note You need to log in before you can comment on or make changes to this bug.